org.apache.storm.eventhubs.spout

## Class BinaryEventDataScheme

- java.lang.Object
- - org.apache.storm.eventhubs.spout.BinaryEventDataScheme

- All Implemented Interfaces:
    Serializable, IEventDataScheme

      public class BinaryEventDataScheme
      extends Object
      implements IEventDataScheme

  An Event Data Scheme which deserializes message payload into the raw bytes.

  The resulting tuple would contain three items, the first being the message bytes, and the second a map of properties that include metadata, which can be used to determine who processes the message, and how it is processed.The third is the system properties which exposes information like enqueue-time, offset and sequence number

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryEventDataScheme()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `deserialize(com.microsoft.azure.eventhubs.EventData eventData)` Deserialize an AMQP Message into a Tuple.
    `Fields` | `getOutputFields()` Retrieve the Fields that are present on tuples created by this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryEventDataScheme

          public BinaryEventDataScheme()

  - ### Method Detail

    - #### deserialize

          public List<Object> deserialize(com.microsoft.azure.eventhubs.EventData eventData)

      Description copied from interface: `IEventDataScheme`

      Deserialize an AMQP Message into a Tuple.

      Specified by:
        `deserialize` in interface `IEventDataScheme`
      Parameters:
        `eventData` - The EventData to Deserialize.
      Returns:
        A tuple containing the deserialized fields of the message.
      See Also:
        `for the list of fields the tuple will contain.`

    - #### getOutputFields

          public Fields getOutputFields()

      Description copied from interface: `IEventDataScheme`

      Retrieve the Fields that are present on tuples created by this object.

      Specified by:
        `getOutputFields` in interface `IEventDataScheme`
      Returns:
        The Fields that are present on tuples created by this object.

Copyright © 2021 The Apache Software Foundation. All rights reserved.